/* tp-props-iface.c
 *
 * Copyright (C) 2005 Nokia Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include <dbus/dbus-glib.h>

#include "tp-interfaces.h"
#include "tp-props-iface.h"

GQuark
tp_get_props_interface (void)
{
  static GQuark ret = 0;

  if (ret == 0)
  {
    ret = g_quark_from_static_string(TP_IFACE_PROPERTIES);
  }

  return ret;
}

void
tp_props_interface_set_signatures (DBusGProxy *proxy)
{
  dbus_g_proxy_add_signal(proxy, "PropertiesChanged",
      dbus_g_type_get_collection ("GPtrArray",
          dbus_g_type_get_struct ("GValueArray", G_TYPE_UINT,
                                   G_TYPE_VALUE, G_TYPE_INVALID)),
      G_TYPE_INVALID);
  dbus_g_proxy_add_signal(proxy, "PropertyFlagsChanged",
      dbus_g_type_get_collection ("GPtrArray",
          dbus_g_type_get_struct ("GValueArray", G_TYPE_UINT,
                                   G_TYPE_UINT, G_TYPE_INVALID)),
      G_TYPE_INVALID);
}
